# pht\Vector::unlock

(PECL pht >= 0.0.1)

pht\Vector::unlock — Releases the vector's mutex lock

### Description

public pht\Vector::unlock ( void ) : void

This method will release the mutex lock associated with the vector.

### Parameters

This function has no parameters.

### Return Values

No return value.

### Examples

Example #1 Locking a vector's mutex lock

`<?php
use pht\{Thread, Vector};
$thread = new Thread();
$vector = new Vector();
$thread->addFunctionTask(function ($vector) {
$vector->lock();
$vector[] = 1;
$vector->unlock();
}, $vector);
$thread->start();
// $vector is currently being used by multiple threads
$vector->lock();
$vector[] = 2;
$vector->unlock();
$thread->join();`